%global pypi_name astunparse

Name:           python-%{pypi_name}
# 1.6.1 is not tagged https://github.com/simonpercivall/astunparse/issues/34
Version:        1.6.0
Release:        1%{?dist}
Summary:        An AST unparser for Python
License:        BSD
URL:            https://github.com/simonpercivall/astunparse

# PyPI sdist lacks tests https://github.com/simonpercivall/astunparse/pull/33
Source0:        %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  (python3-six >= 1.6.1 with python3-six < 2.0)
BuildRequires:  (python3-wheel >= 1:0.23.0 with python3-wheel < 1:1.0)

%description
This is a factored out version of unparse found in the Python source
distribution; under Tools/parser in Python 3.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This is a factored out version of unparse found in the Python source
distribution; under Tools/parser in Python 3.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Sat Jan 19 2019 Miro Hrončok <mhroncok@redhat.com> - 1.6.0-1
- Initial package
